#
# Example 11-5
# Html_DecodeEntity.
#

proc Html_DecodeEntity {text} {
	if {![regexp & $text]} {return $text}
	regsub -all {([][$\\])} $text {\\\1} new
	regsub -all {&#([0-9][0-9]?[0-9]?);?}  $new {\
		[format %c [scan \1 %d tmp;set tmp]]} new
	regsub -all {&([a-zA-Z]+)(;?)} $new \
		{[HtmlMapEntity \1 \\\2 ]} new
	return [subst $new]
}
proc HtmlMapEntity {text {semi {}}} {
	global htmlEntityMap
	set result $text$semi
	catch {set result $htmlEntityMap($text)}
	return $result
} 

# Some of the htmlEntityMap
array set htmlEntityMap {
	lt	<	gt	>	amp	&
	aring		\xe5		atilde		\xe3
	copy		\xa9		ecirc		\xea		egrave		\xe8
}


