#
# Example 16-10
# HttpCopyData copies content to a file.
#

rename unsupported0 copychannel
proc HttpCopyData {url} {
	upvar #0 $url state
	if [eof $state(sock)] {
		# Content complete
		set state(status) done
		close $state(sock)
		close $state(fd)
	} elseif {[catch {copychannel $state(sock) $state(fd)} x]} {
		set state(status) error
		lappend state(headers) [list error $x]
		close $state(sock)
		close $state(fd)
	}
}


